cURL
curl --request PUT \ --url https://api.letpiper.com/v1/orgs/{org_id}/mcp-servers/{server_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "url": "<string>", "auth_type": "<string>", "auth_header_name": "<string>", "auth_token": "<string>", "tool_prefix": "<string>", "timeout_seconds": 150, "is_active": true } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "description": "<string>", "url": "<string>", "transport": "<string>", "auth_type": "<string>", "auth_header_name": "<string>", "has_auth": true, "tool_prefix": "<string>", "timeout_seconds": 123, "is_active": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Platform token (starts with pat_)
Request schema for updating an MCP server (patch semantics).
1 - 255
5000
2048
255
1
50
1 <= x <= 300
Successful Response
Response schema for an MCP server.